function MainCatch() {
    var idslct = charIDToTypeID("slct");
    var desc93 = new ActionDescriptor();
    var idnull = charIDToTypeID("null");
    var ref25 = new ActionReference();
    var idLyr = charIDToTypeID("Lyr ");
    ref25.putName(idLyr, "FR3 | Not Finished");
    desc93.putReference(idnull, ref25);
    var idMkVs = charIDToTypeID("MkVs");
    desc93.putBoolean(idMkVs, false);
    var idLyrI = charIDToTypeID("LyrI");
    var list12 = new ActionList();
    list12.putInteger(89);
    desc93.putList(idLyrI, list12);
    executeAction(idslct, desc93, DialogModes.NO);
    var thisFile = new File($.fileName);
    var idOpn = charIDToTypeID("Opn ");
    var desc34 = new ActionDescriptor();
    var idnull = charIDToTypeID("null");
    desc34.putPath(idnull, new File(thisFile.path + ""));
    executeAction(idOpn, desc34, DialogModes.NO);
    win = new Window("dialog", "快速修饰 3 ");
    win.orientation = "column";
    b1L = 195;
    b2L = 83;
    s1L = 155;
    s2L = 115;
    s3L = 115;
    leftGr = win.add("group");
    leftGr.orientation = "column";
    sliderGroup447 = leftGr.add("group");
    sliderGroup447.alignment = "left";
    slTxt22 = sliderGroup447.add("staticText", undefined, "润色控制：");
    sliderGroup = leftGr.add("group");
    sliderF = sliderGroup.add("slider", undefined, 32, 0, 100);
    sliderF.preferredSize.width = s1L;
    sliderValueF = sliderGroup.add("statictext", undefined, " 32   ");
    sliderF.onChanging = function() {
        sliderValueF.text = Math.round(this.value);
    };
    sliderF.onChange = function() {
        foo = 0.125;
        foo1 = foo * Math.round(this.value);
        foo2 = foo1 * 3;
        var idsetd = charIDToTypeID("setd");
        var desc211 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref80 = new ActionReference();
        var idfilterFX = stringIDToTypeID("filterFX");
        ref80.putIndex(idfilterFX, 2);
        var idLyr = charIDToTypeID("Lyr ");
        ref80.putName(idLyr, "Base Retouch");
        desc211.putReference(idnull, ref80);
        var idfilterFX = stringIDToTypeID("filterFX");
        var desc212 = new ActionDescriptor();
        var idFltr = charIDToTypeID("Fltr");
        var desc213 = new ActionDescriptor();
        var idRds = charIDToTypeID("Rds ");
        var idPxl = charIDToTypeID("#Pxl");
        desc213.putUnitDouble(idRds, idPxl, foo2);
        var idHghP = charIDToTypeID("HghP");
        desc212.putObject(idFltr, idHghP, desc213);
        var idfilterFX = stringIDToTypeID("filterFX");
        desc211.putObject(idfilterFX, idfilterFX, desc212);
        executeAction(idsetd, desc211, DialogModes.NO);
        var idsetd = charIDToTypeID("setd");
        var desc216 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref83 = new ActionReference();
        var idfilterFX = stringIDToTypeID("filterFX");
        ref83.putIndex(idfilterFX, 1);
        var idLyr = charIDToTypeID("Lyr ");
        ref83.putName(idLyr, "Base Retouch");
        desc216.putReference(idnull, ref83);
        var idfilterFX = stringIDToTypeID("filterFX");
        var desc217 = new ActionDescriptor();
        var idFltr = charIDToTypeID("Fltr");
        var desc218 = new ActionDescriptor();
        var idRds = charIDToTypeID("Rds ");
        var idPxl = charIDToTypeID("#Pxl");
        desc218.putUnitDouble(idRds, idPxl, foo1);
        var idGsnB = charIDToTypeID("GsnB");
        desc217.putObject(idFltr, idGsnB, desc218);
        var idfilterFX = stringIDToTypeID("filterFX");
        desc216.putObject(idfilterFX, idfilterFX, desc217);
        executeAction(idsetd, desc216, DialogModes.NO);
        app.refresh();
    };
    sliderGroup4477 = leftGr.add("group");
    sliderGroup4477.alignment = "left";
    slTxt22 = sliderGroup4477.add("staticText", undefined, "皮肤对比度");
    sliderGroup688 = leftGr.add("group");
    sliderFF = sliderGroup688.add("slider", undefined, 100, 0, 100);
    sliderFF.preferredSize.width = s1L;
    sliderValueFF = sliderGroup688.add("statictext", undefined, " 100  ");
    sliderFF.onChanging = function() {
        sliderValueFF.text = Math.round(this.value);
    };
    sliderFF.onChange = function() {
        foo2 = Math.round(this.value);
        foo = foo2;
        var idsetd = charIDToTypeID("setd");
        var desc1646 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref891 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        ref891.putName(idLyr, "Skin Contrast");
        desc1646.putReference(idnull, ref891);
        var idT = charIDToTypeID("T   ");
        var desc1647 = new ActionDescriptor();
        var idOpct = charIDToTypeID("Opct");
        var idPrc = charIDToTypeID("#Prc");
        desc1647.putUnitDouble(idOpct, idPrc, foo);
        var idLyr = charIDToTypeID("Lyr ");
        desc1646.putObject(idT, idLyr, desc1647);
        executeAction(idsetd, desc1646, DialogModes.NO);
        app.refresh();
    };
    sliderGroup44777 = leftGr.add("group");
    sliderGroup44777.alignment = "left";
    slTxt22 = sliderGroup44777.add("staticText", undefined, "不透明度：");
    sliderGroup688 = leftGr.add("group");
    sliderFFF = sliderGroup688.add("slider", undefined, 70, 0, 100);
    sliderFFF.preferredSize.width = s1L;
    sliderValueFFF = sliderGroup688.add("statictext", undefined, " 70  ");
    sliderFFF.onChanging = function() {
        sliderValueFFF.text = Math.round(this.value);
    };
    sliderFFF.onChange = function() {
        foo2 = Math.round(this.value);
        foo = foo2;
        var idsetd = charIDToTypeID("setd");
        var desc1646 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref891 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        ref891.putName(idLyr, "FR3 | Not Finished");
        desc1646.putReference(idnull, ref891);
        var idT = charIDToTypeID("T   ");
        var desc1647 = new ActionDescriptor();
        var idOpct = charIDToTypeID("Opct");
        var idPrc = charIDToTypeID("#Prc");
        desc1647.putUnitDouble(idOpct, idPrc, foo);
        var idLyr = charIDToTypeID("Lyr ");
        desc1646.putObject(idT, idLyr, desc1647);
        executeAction(idsetd, desc1646, DialogModes.NO);
        app.refresh();
    };
    baton259 = leftGr.add("group");
    baton259.alignment = "left";
    Generate555 = baton259.add("button", undefined, "完成修饰");
    Generate555.preferredSize.width = b1L;
    Generate555.onClick = function() {
        close = true;
        win.close();
        var idslct = charIDToTypeID("slct");
        var desc153 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref19 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        ref19.putName(idLyr, "FR3 | Not Finished");
        desc153.putReference(idnull, ref19);
        var idMkVs = charIDToTypeID("MkVs");
        desc153.putBoolean(idMkVs, false);
        var idLyrI = charIDToTypeID("LyrI");
        var list10 = new ActionList();
        list10.putInteger(73);
        desc153.putList(idLyrI, list10);
        executeAction(idslct, desc153, DialogModes.NO);
        var idslct = charIDToTypeID("slct");
        var desc154 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref20 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        ref20.putName(idLyr, "Temp_Layer");
        desc154.putReference(idnull, ref20);
        var idselectionModifier = stringIDToTypeID("selectionModifier");
        var idselectionModifierType = stringIDToTypeID("selectionModifierType");
        var idaddToSelectionContinuous = stringIDToTypeID("addToSelectionContinuous");
        desc154.putEnumerated(idselectionModifier, idselectionModifierType, idaddToSelectionContinuous);
        var idMkVs = charIDToTypeID("MkVs");
        desc154.putBoolean(idMkVs, false);
        var idLyrI = charIDToTypeID("LyrI");
        var list11 = new ActionList();
        list11.putInteger(68);
        list11.putInteger(71);
        list11.putInteger(72);
        list11.putInteger(73);
        desc154.putList(idLyrI, list11);
        executeAction(idslct, desc154, DialogModes.NO);
        var idMrgtwo = charIDToTypeID("Mrg2");
        executeAction(idMrgtwo, undefined, DialogModes.NO);
        var idsetd = charIDToTypeID("setd");
        var desc114 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref30 = new ActionReference();
        var idLyr = charIDToTypeID("Lyr ");
        var idOrdn = charIDToTypeID("Ordn");
        var idTrgt = charIDToTypeID("Trgt");
        ref30.putEnumerated(idLyr, idOrdn, idTrgt);
        desc114.putReference(idnull, ref30);
        var idT = charIDToTypeID("T   ");
        var desc115 = new ActionDescriptor();
        var idNm = charIDToTypeID("Nm  ");
        desc115.putString(idNm, "Fast Retouch | Method 3");
        var idLyr = charIDToTypeID("Lyr ");
        desc114.putObject(idT, idLyr, desc115);
        executeAction(idsetd, desc114, DialogModes.NO);
        var idslct = charIDToTypeID("slct");
        var desc130 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref12 = new ActionReference();
        var idspotHealingBrushTool = stringIDToTypeID("spotHealingBrushTool");
        ref12.putClass(idspotHealingBrushTool);
        desc130.putReference(idnull, ref12);
        executeAction(idslct, desc130, DialogModes.NO);
    };
    closeBtn = leftGr.add("button", undefined, "关闭");
    closeBtn.alignment = "left";
    closeBtn.preferredSize.width = b1L;
    close = false;
    closeBtn.onClick = function() {
        close = true;
        win.close();
    };
    win.onClose = function() {
        close = true;
    };
    win.show();
    while (close === false) {
        app.refresh();
    }
}
if (app) {
    try {
        MainCatch();
    } catch (e) {
        historyState = "Ultimate Retouch - FR Method 3";
        if (app) {
            ErrStrs = {};
            ErrStrs.USER_CANCELED = localize("$$$/ScriptingSupport/Errors/UserCancelled");
            var historyStateNow = -1;
            do {
                historyStateNow++
            } while (app.activeDocument.activeHistoryState != app.activeDocument.historyStates[historyStateNow])
            try {
                app.activeDocument.suspendHistory(historyState, "Frezze()");
            } catch (e) {
                if (e.number != 8007) {
                    alert(e + " : " + e.line);
                }
            }
        }

        function Frezze() {
            if (ScriptUI.environment.keyboardState.shiftKey) {
                function AutoMask() {
                    function step1(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        var ref1 = new ActionReference();
                        ref1.putClass(PSClass.Layer);
                        desc1.putReference(PSString.Null, ref1);
                        desc1.putInteger(PSKey.LayerID, 228);
                        executeAction(PSEvent.Make, desc1, dialogMode);
                    }

                    function step2(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        var ref1 = new ActionReference();
                        ref1.putEnumerated(PSClass.Layer, PSType.Ordinal, PSEnum.Target);
                        desc1.putReference(PSString.Null, ref1);
                        var desc2 = new ActionDescriptor();
                        desc2.putString(PSKey.Name, "BW Temp");
                        desc1.putObject(PSKey.To, PSClass.Layer, desc2);
                        executeAction(PSEvent.Set, desc1, dialogMode);
                    }

                    function step3(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        desc1.putEnumerated(PSKey.Using, PSType.FillContents, PSClass.Color);
                        var desc2 = new ActionDescriptor();
                        desc2.putUnitDouble(PSKey.Hue, PSUnit.Angle, 0);
                        desc2.putDouble(PSKey.Start, 0);
                        desc2.putDouble(PSKey.Brightness, 0);
                        desc1.putObject(PSClass.Color, PSClass.HSBColor, desc2);
                        desc1.putUnitDouble(PSKey.Opacity, PSUnit.Percent, 100);
                        desc1.putEnumerated(PSKey.Mode, PSType.BlendMode, PSEnum.Normal);
                        executeAction(PSEvent.Fill, desc1, dialogMode);
                    }

                    function step4(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        var list1 = new ActionList();
                        var ref1 = new ActionReference();
                        ref1.putEnumerated(PSClass.Layer, PSType.Ordinal, PSEnum.Target);
                        list1.putReference(ref1);
                        desc1.putList(PSString.Null, list1);
                        executeAction(PSEvent.Hide, desc1, dialogMode);
                    }

                    function step5(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        var ref1 = new ActionReference();
                        ref1.putClass(PSClass.Layer);
                        desc1.putReference(PSString.Null, ref1);
                        desc1.putInteger(PSKey.LayerID, 229);
                        executeAction(PSEvent.Make, desc1, dialogMode);
                    }

                    function step6(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        var ref1 = new ActionReference();
                        ref1.putEnumerated(PSClass.Layer, PSType.Ordinal, PSEnum.Target);
                        desc1.putReference(PSString.Null, ref1);
                        var desc2 = new ActionDescriptor();
                        desc2.putString(PSKey.Name, "BW CR Mask");
                        desc1.putObject(PSKey.To, PSClass.Layer, desc2);
                        executeAction(PSEvent.Set, desc1, dialogMode);
                    }

                    function step7(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        desc1.putInteger(PSKey.Fuzziness, 50);
                        desc1.putEnumerated(PSKey.Colors, PSKey.Colors, sTID("skinTone"));
                        desc1.putInteger(sTID("colorModel"), 0);
                        executeAction(sTID("colorRange"), desc1, dialogMode);
                    }

                    function step8(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        desc1.putEnumerated(PSKey.Using, PSType.FillContents, PSClass.Color);
                        var desc2 = new ActionDescriptor();
                        desc2.putUnitDouble(PSKey.Hue, PSUnit.Angle, 0);
                        desc2.putDouble(PSKey.Start, 0);
                        desc2.putDouble(PSKey.Brightness, 100);
                        desc1.putObject(PSClass.Color, PSClass.HSBColor, desc2);
                        desc1.putUnitDouble(PSKey.Opacity, PSUnit.Percent, 100);
                        desc1.putEnumerated(PSKey.Mode, PSType.BlendMode, PSEnum.Normal);
                        executeAction(PSEvent.Fill, desc1, dialogMode);
                    }

                    function step9(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        var ref1 = new ActionReference();
                        ref1.putProperty(PSClass.Channel, PSString.selection);
                        desc1.putReference(PSString.Null, ref1);
                        desc1.putEnumerated(PSKey.To, PSType.Ordinal, PSEnum.None);
                        executeAction(PSEvent.Set, desc1, dialogMode);
                    }

                    function step10(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        var ref1 = new ActionReference();
                        ref1.putName(PSClass.Layer, "BW Temp");
                        desc1.putReference(PSString.Null, ref1);
                        desc1.putBoolean(PSKey.MakeVisible, false);
                        var list1 = new ActionList();
                        list1.putInteger(228);
                        desc1.putList(PSKey.LayerID, list1);
                        executeAction(PSEvent.Select, desc1, dialogMode);
                    }

                    function step11(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        var list1 = new ActionList();
                        var ref1 = new ActionReference();
                        ref1.putEnumerated(PSClass.Layer, PSType.Ordinal, PSEnum.Target);
                        list1.putReference(ref1);
                        desc1.putList(PSString.Null, list1);
                        executeAction(PSEvent.Show, desc1, dialogMode);
                    }

                    function step12(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        var ref1 = new ActionReference();
                        ref1.putName(PSClass.Layer, "BW CR Mask");
                        desc1.putReference(PSString.Null, ref1);
                        desc1.putEnumerated(PSString.selectionModifier, PSString.selectionModifierType, PSString.addToSelectionContinuous);
                        desc1.putBoolean(PSKey.MakeVisible, false);
                        var list1 = new ActionList();
                        list1.putInteger(228);
                        list1.putInteger(sTID("skinTone"), 229);
                        desc1.putList(PSKey.LayerID, list1);
                        executeAction(PSEvent.Select, desc1, dialogMode);
                    }

                    function step13(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        executeAction(sTID("mergeLayersNew"), desc1, dialogMode);
                    }

                    function step14(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        var list1 = new ActionList();
                        var ref1 = new ActionReference();
                        ref1.putEnumerated(PSClass.Layer, PSType.Ordinal, PSEnum.Target);
                        list1.putReference(ref1);
                        desc1.putList(PSString.Null, list1);
                        executeAction(PSEvent.Hide, desc1, dialogMode);
                    }
                    step1();
                    step2();
                    step3();
                    step4();
                    step5();
                    step6();
                    step7();
                    step8();
                    step9();
                    step10();
                    step11();
                    step12();
                    step13();
                    step14();
                }
                cTID = function(s) {
                    return app.charIDToTypeID(s);
                };
                sTID = function(s) {
                    return app.stringIDToTypeID(s);
                };
                AutoMask.loadSymbols = function() {
                    var dbgLevel = $.level;
                    $.level = 0;
                    try {
                        PSConstants;
                        return;
                    } catch (e) {

                    } finally {
                        $.level = dbgLevel;
                    }
                    var needDefs = true;
                    $.level = 0;
                    try {
                        PSClass;
                        needDefs = false;
                    } catch (e) {

                    } finally {
                        $.level = dbgLevel;
                    }
                    if (needDefs) {
                        PSClass = function() {

                        };
                        PSEnum = function() {

                        };
                        PSEvent = function() {

                        };
                        PSForm = function() {

                        };
                        PSKey = function() {

                        };
                        PSType = function() {

                        };
                        PSUnit = function() {

                        };
                        PSString = function() {

                        };
                    }
                    PSClass.Channel = cTID("Chnl");
                    PSClass.Color = cTID("Clr ");
                    PSClass.HSBColor = cTID("HSBC");
                    PSClass.Layer = cTID("Lyr ");
                    PSEnum.None = cTID("None");
                    PSEnum.Normal = cTID("Nrml");
                    PSEnum.Target = cTID("Trgt");
                    PSEvent.Fill = cTID("Fl  ");
                    PSEvent.Hide = cTID("Hd  ");
                    PSEvent.Make = cTID("Mk  ");
                    PSEvent.Select = cTID("slct");
                    PSEvent.Set = cTID("setd");
                    PSEvent.Show = cTID("Shw ");
                    PSKey.Brightness = cTID("Brgh");
                    PSKey.Colors = cTID("Clrs");
                    PSKey.Fuzziness = cTID("Fzns");
                    PSKey.Hue = cTID("H   ");
                    PSKey.LayerID = cTID("LyrI");
                    PSKey.MakeVisible = cTID("MkVs");
                    PSKey.Mode = cTID("Md  ");
                    PSKey.Name = cTID("Nm  ");
                    PSKey.Opacity = cTID("Opct");
                    PSKey.Start = cTID("Strt");
                    PSKey.To = cTID("T   ");
                    PSKey.Using = cTID("Usng");
                    PSString.Null = sTID("null");
                    PSString.addToSelectionContinuous = sTID("addToSelectionContinuous");
                    PSString.selection = sTID("selection");
                    PSString.selectionModifier = sTID("selectionModifier");
                    PSString.selectionModifierType = sTID("selectionModifierType");
                    PSType.BlendMode = cTID("BlnM");
                    PSType.FillContents = cTID("FlCn");
                    PSType.Ordinal = cTID("Ordn");
                    PSUnit.Angle = cTID("#Ang");
                    PSUnit.Percent = cTID("#Prc");
                };
                AutoMask.loadSymbols();
                AutoMask.main = function() {
                    AutoMask();
                };
                AutoMask.main();

                function FRM3() {
                    function step1(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        var ref1 = new ActionReference();
                        ref1.putClass(PSClass.Layer);
                        desc1.putReference(PSString.Null, ref1);
                        desc1.putInteger(PSKey.LayerID, 36);
                        executeAction(PSEvent.Make, desc1, dialogMode);
                    }

                    function step2(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        desc1.putBoolean(PSKey.Duplicate, true);
                        executeAction(sTID("mergeVisible"), desc1, dialogMode);
                        var idsetd = charIDToTypeID("setd");
                        var desc44 = new ActionDescriptor();
                        var idnull = charIDToTypeID("null");
                        var ref5 = new ActionReference();
                        var idLyr = charIDToTypeID("Lyr ");
                        var idOrdn = charIDToTypeID("Ordn");
                        var idTrgt = charIDToTypeID("Trgt");
                        ref5.putEnumerated(idLyr, idOrdn, idTrgt);
                        desc44.putReference(idnull, ref5);
                        var idT = charIDToTypeID("T   ");
                        var desc45 = new ActionDescriptor();
                        var idNm = charIDToTypeID("Nm  ");
                        desc45.putString(idNm, "Temp_Layer");
                        var idLyr = charIDToTypeID("Lyr ");
                        desc44.putObject(idT, idLyr, desc45);
                        executeAction(idsetd, desc44, DialogModes.NO);
                        var idCpTL = charIDToTypeID("CpTL");
                        executeAction(idCpTL, undefined, DialogModes.NO);
                    }

                    function step3(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        var ref1 = new ActionReference();
                        ref1.putEnumerated(PSClass.Layer, PSType.Ordinal, PSEnum.Target);
                        desc1.putReference(PSString.Null, ref1);
                        var desc2 = new ActionDescriptor();
                        desc2.putString(PSKey.Name, "Base Retouch");
                        desc1.putObject(PSKey.To, PSClass.Layer, desc2);
                        executeAction(PSEvent.Set, desc1, dialogMode);
                        var idCpTL = charIDToTypeID("CpTL");
                        executeAction(idCpTL, undefined, DialogModes.NO);
                        var idsetd = charIDToTypeID("setd");
                        var desc1282 = new ActionDescriptor();
                        var idnull = charIDToTypeID("null");
                        var ref708 = new ActionReference();
                        var idLyr = charIDToTypeID("Lyr ");
                        var idOrdn = charIDToTypeID("Ordn");
                        var idTrgt = charIDToTypeID("Trgt");
                        ref708.putEnumerated(idLyr, idOrdn, idTrgt);
                        desc1282.putReference(idnull, ref708);
                        var idT = charIDToTypeID("T   ");
                        var desc1283 = new ActionDescriptor();
                        var idNm = charIDToTypeID("Nm  ");
                        desc1283.putString(idNm, "Skin Contrast");
                        var idLyr = charIDToTypeID("Lyr ");
                        desc1282.putObject(idT, idLyr, desc1283);
                        executeAction(idsetd, desc1282, DialogModes.NO);
                        var idHd = charIDToTypeID("Hd  ");
                        var desc1284 = new ActionDescriptor();
                        var idnull = charIDToTypeID("null");
                        var list441 = new ActionList();
                        var ref709 = new ActionReference();
                        var idLyr = charIDToTypeID("Lyr ");
                        var idOrdn = charIDToTypeID("Ordn");
                        var idTrgt = charIDToTypeID("Trgt");
                        ref709.putEnumerated(idLyr, idOrdn, idTrgt);
                        list441.putReference(ref709);
                        desc1284.putList(idnull, list441);
                        executeAction(idHd, desc1284, DialogModes.NO);
                        var idslct = charIDToTypeID("slct");
                        var desc1285 = new ActionDescriptor();
                        var idnull = charIDToTypeID("null");
                        var ref710 = new ActionReference();
                        var idLyr = charIDToTypeID("Lyr ");
                        ref710.putName(idLyr, "Base Retouch");
                        desc1285.putReference(idnull, ref710);
                        var idMkVs = charIDToTypeID("MkVs");
                        desc1285.putBoolean(idMkVs, false);
                        var idLyrI = charIDToTypeID("LyrI");
                        var list442 = new ActionList();
                        list442.putInteger(4);
                        desc1285.putList(idLyrI, list442);
                        executeAction(idslct, desc1285, DialogModes.NO);
                    }

                    function step4(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        var ref1 = new ActionReference();
                        ref1.putEnumerated(PSClass.Layer, PSType.Ordinal, PSEnum.Target);
                        desc1.putReference(PSString.Null, ref1);
                        var desc2 = new ActionDescriptor();
                        desc2.putEnumerated(PSKey.Mode, PSType.BlendMode, PSString.linearLight);
                        desc1.putObject(PSKey.To, PSClass.Layer, desc2);
                        executeAction(PSEvent.Set, desc1, dialogMode);
                    }

                    function step5(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                    }

                    function step6(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        executeAction(PSEvent.Invert, undefined, dialogMode);
                    }

                    function step7(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        executeAction(sTID("newPlacedLayer"), undefined, dialogMode);
                    }

                    function step8(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        desc1.putUnitDouble(PSKey.Radius, PSUnit.Pixels, 4);
                        executeAction(sTID("gaussianBlur"), desc1, dialogMode);
                    }

                    function step9(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        var ref1 = new ActionReference();
                        ref1.putEnumerated(PSClass.Channel, PSClass.Channel, PSString.filterMask);
                        desc1.putReference(PSString.Null, ref1);
                        desc1.putBoolean(PSKey.MakeVisible, false);
                        executeAction(PSEvent.Select, desc1, dialogMode);
                    }

                    function step10(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        var ref1 = new ActionReference();
                        ref1.putEnumerated(PSClass.Channel, PSType.Ordinal, PSEnum.Target);
                        desc1.putReference(PSString.Null, ref1);
                        executeAction(PSEvent.Delete, desc1, dialogMode);
                    }

                    function step11(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        desc1.putUnitDouble(PSKey.Radius, PSUnit.Pixels, 12);
                        executeAction(sTID("highPass"), desc1, dialogMode);
                    }

                    function step12(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        desc1.putClass(PSKey.New, PSClass.Channel);
                        var ref1 = new ActionReference();
                        ref1.putEnumerated(PSClass.Channel, PSClass.Channel, PSClass.Mask);
                        desc1.putReference(PSKey.At, ref1);
                        desc1.putEnumerated(PSKey.Using, PSType.UserMaskOptions, PSEnum.HideAll);
                        executeAction(PSEvent.Make, desc1, dialogMode);
                    }
                    step1();
                    step2();
                    step3();
                    step4();
                    step5();
                    step6();
                    step7();
                    step8();
                    step9();
                    step10();
                    step11();
                    step12();
                }
                cTID = function(s) {
                    return app.charIDToTypeID(s);
                };
                sTID = function(s) {
                    return app.stringIDToTypeID(s);
                };
                FRM3.loadSymbols = function() {
                    var dbgLevel = $.level;
                    $.level = 0;
                    try {
                        PSConstants;
                        return;
                    } catch (e) {

                    } finally {
                        $.level = dbgLevel;
                    }
                    var needDefs = true;
                    $.level = 0;
                    try {
                        PSClass;
                        needDefs = false;
                    } catch (e) {

                    } finally {
                        $.level = dbgLevel;
                    }
                    if (needDefs) {
                        PSClass = function() {

                        };
                        PSEnum = function() {

                        };
                        PSEvent = function() {

                        };
                        PSForm = function() {

                        };
                        PSKey = function() {

                        };
                        PSType = function() {

                        };
                        PSUnit = function() {

                        };
                        PSString = function() {

                        };
                    }
                    PSClass.Channel = cTID("Chnl");
                    PSClass.Layer = cTID("Lyr ");
                    PSClass.Mask = cTID("Msk ");
                    PSEnum.HideAll = cTID("HdAl");
                    PSEnum.Target = cTID("Trgt");
                    PSEvent.Delete = cTID("Dlt ");
                    PSEvent.Desaturate = cTID("Dstt");
                    PSEvent.Invert = cTID("Invr");
                    PSEvent.Make = cTID("Mk  ");
                    PSEvent.Select = cTID("slct");
                    PSEvent.Set = cTID("setd");
                    PSKey.At = cTID("At  ");
                    PSKey.Duplicate = cTID("Dplc");
                    PSKey.LayerID = cTID("LyrI");
                    PSKey.MakeVisible = cTID("MkVs");
                    PSKey.Mode = cTID("Md  ");
                    PSKey.Name = cTID("Nm  ");
                    PSKey.New = cTID("Nw  ");
                    PSKey.Radius = cTID("Rds ");
                    PSKey.To = cTID("T   ");
                    PSKey.Using = cTID("Usng");
                    PSString.Null = sTID("null");
                    PSString.filterMask = sTID("filterMask");
                    PSString.linearLight = sTID("linearLight");
                    PSType.BlendMode = cTID("BlnM");
                    PSType.Ordinal = cTID("Ordn");
                    PSType.UserMaskOptions = cTID("UsrM");
                    PSUnit.Pixels = cTID("#Pxl");
                };
                FRM3.loadSymbols();
                FRM3.main = function() {
                    FRM3();
                };
                FRM3.main();
                var idDlt = charIDToTypeID("Dlt ");
                var desc1311 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref720 = new ActionReference();
                var idChnl = charIDToTypeID("Chnl");
                var idOrdn = charIDToTypeID("Ordn");
                var idTrgt = charIDToTypeID("Trgt");
                ref720.putEnumerated(idChnl, idOrdn, idTrgt);
                desc1311.putReference(idnull, ref720);
                executeAction(idDlt, desc1311, DialogModes.NO);
                var idslct = charIDToTypeID("slct");
                var desc1312 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref721 = new ActionReference();
                var idLyr = charIDToTypeID("Lyr ");
                ref721.putName(idLyr, "Skin Contrast");
                desc1312.putReference(idnull, ref721);
                var idMkVs = charIDToTypeID("MkVs");
                desc1312.putBoolean(idMkVs, false);
                var idLyrI = charIDToTypeID("LyrI");
                var list448 = new ActionList();
                list448.putInteger(46);
                desc1312.putList(idLyrI, list448);
                executeAction(idslct, desc1312, DialogModes.NO);
                var idShw = charIDToTypeID("Shw ");
                var desc1313 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var list449 = new ActionList();
                var ref722 = new ActionReference();
                var idLyr = charIDToTypeID("Lyr ");
                var idOrdn = charIDToTypeID("Ordn");
                var idTrgt = charIDToTypeID("Trgt");
                ref722.putEnumerated(idLyr, idOrdn, idTrgt);
                list449.putReference(ref722);
                desc1313.putList(idnull, list449);
                executeAction(idShw, desc1313, DialogModes.NO);
                var idDstt = charIDToTypeID("Dstt");
                executeAction(idDstt, undefined, DialogModes.NO);
                var idslct = charIDToTypeID("slct");
                var desc1314 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref723 = new ActionReference();
                var idLyr = charIDToTypeID("Lyr ");
                var idOrdn = charIDToTypeID("Ordn");
                var idTrgt = charIDToTypeID("Trgt");
                ref723.putEnumerated(idLyr, idOrdn, idTrgt);
                desc1314.putReference(idnull, ref723);
                var idMkVs = charIDToTypeID("MkVs");
                desc1314.putBoolean(idMkVs, false);
                executeAction(idslct, desc1314, DialogModes.NO);
                var idnewPlacedLayer = stringIDToTypeID("newPlacedLayer");
                executeAction(idnewPlacedLayer, undefined, DialogModes.NO);
                var idsetd = charIDToTypeID("setd");
                var desc1316 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref725 = new ActionReference();
                var idLyr = charIDToTypeID("Lyr ");
                var idOrdn = charIDToTypeID("Ordn");
                var idTrgt = charIDToTypeID("Trgt");
                ref725.putEnumerated(idLyr, idOrdn, idTrgt);
                desc1316.putReference(idnull, ref725);
                var idT = charIDToTypeID("T   ");
                var desc1317 = new ActionDescriptor();
                var idMd = charIDToTypeID("Md  ");
                var idBlnM = charIDToTypeID("BlnM");
                var idSftL = charIDToTypeID("SftL");
                desc1317.putEnumerated(idMd, idBlnM, idSftL);
                var idLyr = charIDToTypeID("Lyr ");
                desc1316.putObject(idT, idLyr, desc1317);
                executeAction(idsetd, desc1316, DialogModes.NO);
                var idHghP = charIDToTypeID("HghP");
                var desc1320 = new ActionDescriptor();
                var idRds = charIDToTypeID("Rds ");
                var idPxl = charIDToTypeID("#Pxl");
                desc1320.putUnitDouble(idRds, idPxl, 120);
                executeAction(idHghP, desc1320, DialogModes.NO);
                var idslct = charIDToTypeID("slct");
                var desc1321 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref726 = new ActionReference();
                var idChnl = charIDToTypeID("Chnl");
                var idChnl = charIDToTypeID("Chnl");
                var idfilterMask = stringIDToTypeID("filterMask");
                ref726.putEnumerated(idChnl, idChnl, idfilterMask);
                desc1321.putReference(idnull, ref726);
                var idMkVs = charIDToTypeID("MkVs");
                desc1321.putBoolean(idMkVs, false);
                executeAction(idslct, desc1321, DialogModes.NO);
                var idDlt = charIDToTypeID("Dlt ");
                var desc1322 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref727 = new ActionReference();
                var idChnl = charIDToTypeID("Chnl");
                var idOrdn = charIDToTypeID("Ordn");
                var idTrgt = charIDToTypeID("Trgt");
                ref727.putEnumerated(idChnl, idOrdn, idTrgt);
                desc1322.putReference(idnull, ref727);
                executeAction(idDlt, desc1322, DialogModes.NO);
                var idsetd = charIDToTypeID("setd");
                var desc1323 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref728 = new ActionReference();
                var idLyr = charIDToTypeID("Lyr ");
                var idOrdn = charIDToTypeID("Ordn");
                var idTrgt = charIDToTypeID("Trgt");
                ref728.putEnumerated(idLyr, idOrdn, idTrgt);
                desc1323.putReference(idnull, ref728);
                var idT = charIDToTypeID("T   ");
                var desc1324 = new ActionDescriptor();
                var idOpct = charIDToTypeID("Opct");
                var idPrc = charIDToTypeID("#Prc");
                desc1324.putUnitDouble(idOpct, idPrc, 100);
                var idLyr = charIDToTypeID("Lyr ");
                desc1323.putObject(idT, idLyr, desc1324);
                executeAction(idsetd, desc1323, DialogModes.NO);
                var idslct = charIDToTypeID("slct");
                var desc1325 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref729 = new ActionReference();
                var idLyr = charIDToTypeID("Lyr ");
                ref729.putName(idLyr, "Base Retouch");
                desc1325.putReference(idnull, ref729);
                var idselectionModifier = stringIDToTypeID("selectionModifier");
                var idselectionModifierType = stringIDToTypeID("selectionModifierType");
                var idaddToSelectionContinuous = stringIDToTypeID("addToSelectionContinuous");
                desc1325.putEnumerated(idselectionModifier, idselectionModifierType, idaddToSelectionContinuous);
                var idMkVs = charIDToTypeID("MkVs");
                desc1325.putBoolean(idMkVs, false);
                var idLyrI = charIDToTypeID("LyrI");
                var list450 = new ActionList();
                list450.putInteger(47);
                list450.putInteger(48);
                desc1325.putList(idLyrI, list450);
                executeAction(idslct, desc1325, DialogModes.NO);
                var idMk = charIDToTypeID("Mk  ");
                var desc1326 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref730 = new ActionReference();
                var idlayerSection = stringIDToTypeID("layerSection");
                ref730.putClass(idlayerSection);
                desc1326.putReference(idnull, ref730);
                var idFrom = charIDToTypeID("From");
                var ref731 = new ActionReference();
                var idLyr = charIDToTypeID("Lyr ");
                var idOrdn = charIDToTypeID("Ordn");
                var idTrgt = charIDToTypeID("Trgt");
                ref731.putEnumerated(idLyr, idOrdn, idTrgt);
                desc1326.putReference(idFrom, ref731);
                var idlayerSectionStart = stringIDToTypeID("layerSectionStart");
                desc1326.putInteger(idlayerSectionStart, 49);
                var idlayerSectionEnd = stringIDToTypeID("layerSectionEnd");
                desc1326.putInteger(idlayerSectionEnd, 50);
                var idNm = charIDToTypeID("Nm  ");
                desc1326.putString(idNm, "Group 1");
                executeAction(idMk, desc1326, DialogModes.NO);
                var idsetd = charIDToTypeID("setd");
                var desc1327 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref732 = new ActionReference();
                var idLyr = charIDToTypeID("Lyr ");
                var idOrdn = charIDToTypeID("Ordn");
                var idTrgt = charIDToTypeID("Trgt");
                ref732.putEnumerated(idLyr, idOrdn, idTrgt);
                desc1327.putReference(idnull, ref732);
                var idT = charIDToTypeID("T   ");
                var desc1328 = new ActionDescriptor();
                var idNm = charIDToTypeID("Nm  ");
                desc1328.putString(idNm, "FR3 | Not Finished");
                var idLyr = charIDToTypeID("Lyr ");
                desc1327.putObject(idT, idLyr, desc1328);
                executeAction(idsetd, desc1327, DialogModes.NO);
                var idMk = charIDToTypeID("Mk  ");
                var desc204 = new ActionDescriptor();
                var idNw = charIDToTypeID("Nw  ");
                var idChnl = charIDToTypeID("Chnl");
                desc204.putClass(idNw, idChnl);
                var idAt = charIDToTypeID("At  ");
                var ref75 = new ActionReference();
                var idChnl = charIDToTypeID("Chnl");
                var idChnl = charIDToTypeID("Chnl");
                var idMsk = charIDToTypeID("Msk ");
                ref75.putEnumerated(idChnl, idChnl, idMsk);
                desc204.putReference(idAt, ref75);
                var idUsng = charIDToTypeID("Usng");
                var idUsrM = charIDToTypeID("UsrM");
                var idRvlA = charIDToTypeID("RvlA");
                desc204.putEnumerated(idUsng, idUsrM, idRvlA);
                executeAction(idMk, desc204, DialogModes.NO);
                var idAppI = charIDToTypeID("AppI");
                var desc207 = new ActionDescriptor();
                var idWith = charIDToTypeID("With");
                var desc208 = new ActionDescriptor();
                var idT = charIDToTypeID("T   ");
                var ref76 = new ActionReference();
                var idChnl = charIDToTypeID("Chnl");
                var idChnl = charIDToTypeID("Chnl");
                var idRGB = charIDToTypeID("RGB ");
                ref76.putEnumerated(idChnl, idChnl, idRGB);
                var idLyr = charIDToTypeID("Lyr ");
                ref76.putName(idLyr, "BW CR Mask");
                desc208.putReference(idT, ref76);
                var idPrsT = charIDToTypeID("PrsT");
                desc208.putBoolean(idPrsT, true);
                var idClcl = charIDToTypeID("Clcl");
                desc207.putObject(idWith, idClcl, desc208);
                executeAction(idAppI, desc207, DialogModes.NO);
                var idslct = charIDToTypeID("slct");
                var desc209 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref77 = new ActionReference();
                var idLyr = charIDToTypeID("Lyr ");
                ref77.putName(idLyr, "BW CR Mask");
                desc209.putReference(idnull, ref77);
                var idMkVs = charIDToTypeID("MkVs");
                desc209.putBoolean(idMkVs, false);
                var idLyrI = charIDToTypeID("LyrI");
                var list37 = new ActionList();
                list37.putInteger(146);
                desc209.putList(idLyrI, list37);
                executeAction(idslct, desc209, DialogModes.NO);
                var idDlt = charIDToTypeID("Dlt ");
                var desc210 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref78 = new ActionReference();
                var idLyr = charIDToTypeID("Lyr ");
                var idOrdn = charIDToTypeID("Ordn");
                var idTrgt = charIDToTypeID("Trgt");
                ref78.putEnumerated(idLyr, idOrdn, idTrgt);
                desc210.putReference(idnull, ref78);
                var idLyrI = charIDToTypeID("LyrI");
                var list38 = new ActionList();
                list38.putInteger(146);
                desc210.putList(idLyrI, list38);
                executeAction(idDlt, desc210, DialogModes.NO);
                var idslct = charIDToTypeID("slct");
                var desc1658 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref900 = new ActionReference();
                var idPbTl = charIDToTypeID("PbTl");
                ref900.putClass(idPbTl);
                desc1658.putReference(idnull, ref900);
                executeAction(idslct, desc1658, DialogModes.NO);
                var idsetd = charIDToTypeID("setd");
                var desc1661 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref901 = new ActionReference();
                var idClr = charIDToTypeID("Clr ");
                var idFrgC = charIDToTypeID("FrgC");
                ref901.putProperty(idClr, idFrgC);
                desc1661.putReference(idnull, ref901);
                var idT = charIDToTypeID("T   ");
                var desc1662 = new ActionDescriptor();
                var idH = charIDToTypeID("H   ");
                var idAng = charIDToTypeID("#Ang");
                desc1662.putUnitDouble(idH, idAng, 0);
                var idStrt = charIDToTypeID("Strt");
                desc1662.putDouble(idStrt, 0);
                var idBrgh = charIDToTypeID("Brgh");
                desc1662.putDouble(idBrgh, 100);
                var idHSBC = charIDToTypeID("HSBC");
                desc1661.putObject(idT, idHSBC, desc1662);
                var idSrce = charIDToTypeID("Srce");
                desc1661.putString(idSrce, "photoshopPicker");
                executeAction(idsetd, desc1661, DialogModes.NO);
                var idsetd = charIDToTypeID("setd");
                var desc1665 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref902 = new ActionReference();
                var idClr = charIDToTypeID("Clr ");
                var idBckC = charIDToTypeID("BckC");
                ref902.putProperty(idClr, idBckC);
                desc1665.putReference(idnull, ref902);
                var idT = charIDToTypeID("T   ");
                var desc1666 = new ActionDescriptor();
                var idH = charIDToTypeID("H   ");
                var idAng = charIDToTypeID("#Ang");
                desc1666.putUnitDouble(idH, idAng, 0);
                var idStrt = charIDToTypeID("Strt");
                desc1666.putDouble(idStrt, 0);
                var idBrgh = charIDToTypeID("Brgh");
                desc1666.putDouble(idBrgh, 0);
                var idHSBC = charIDToTypeID("HSBC");
                desc1665.putObject(idT, idHSBC, desc1666);
                var idSrce = charIDToTypeID("Srce");
                desc1665.putString(idSrce, "photoshopPicker");
                executeAction(idsetd, desc1665, DialogModes.NO);
                var idExch = charIDToTypeID("Exch");
                var desc33 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref4 = new ActionReference();
                var idClr = charIDToTypeID("Clr ");
                var idClrs = charIDToTypeID("Clrs");
                ref4.putProperty(idClr, idClrs);
                desc33.putReference(idnull, ref4);
                executeAction(idExch, desc33, DialogModes.NO);
                var idslct = charIDToTypeID("slct");
                var desc211 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref79 = new ActionReference();
                var idLyr = charIDToTypeID("Lyr ");
                ref79.putName(idLyr, "FR3 | Not Finished");
                desc211.putReference(idnull, ref79);
                var idMkVs = charIDToTypeID("MkVs");
                desc211.putBoolean(idMkVs, false);
                var idLyrI = charIDToTypeID("LyrI");
                var list39 = new ActionList();
                list39.putInteger(153);
                desc211.putList(idLyrI, list39);
                executeAction(idslct, desc211, DialogModes.NO);
                var idsetd = charIDToTypeID("setd");
                var desc1646 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref891 = new ActionReference();
                var idLyr = charIDToTypeID("Lyr ");
                var idOrdn = charIDToTypeID("Ordn");
                var idTrgt = charIDToTypeID("Trgt");
                ref891.putEnumerated(idLyr, idOrdn, idTrgt);
                desc1646.putReference(idnull, ref891);
                var idT = charIDToTypeID("T   ");
                var desc1647 = new ActionDescriptor();
                var idOpct = charIDToTypeID("Opct");
                var idPrc = charIDToTypeID("#Prc");
                desc1647.putUnitDouble(idOpct, idPrc, 70);
                var idLyr = charIDToTypeID("Lyr ");
                desc1646.putObject(idT, idLyr, desc1647);
                executeAction(idsetd, desc1646, DialogModes.NO);
            } else {
                function FRM3() {
                    function step1(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        var ref1 = new ActionReference();
                        ref1.putClass(PSClass.Layer);
                        desc1.putReference(PSString.Null, ref1);
                        desc1.putInteger(PSKey.LayerID, 36);
                        executeAction(PSEvent.Make, desc1, dialogMode);
                    }

                    function step2(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        desc1.putBoolean(PSKey.Duplicate, true);
                        executeAction(sTID("mergeVisible"), desc1, dialogMode);
                        var idsetd = charIDToTypeID("setd");
                        var desc44 = new ActionDescriptor();
                        var idnull = charIDToTypeID("null");
                        var ref5 = new ActionReference();
                        var idLyr = charIDToTypeID("Lyr ");
                        var idOrdn = charIDToTypeID("Ordn");
                        var idTrgt = charIDToTypeID("Trgt");
                        ref5.putEnumerated(idLyr, idOrdn, idTrgt);
                        desc44.putReference(idnull, ref5);
                        var idT = charIDToTypeID("T   ");
                        var desc45 = new ActionDescriptor();
                        var idNm = charIDToTypeID("Nm  ");
                        desc45.putString(idNm, "Temp_Layer");
                        var idLyr = charIDToTypeID("Lyr ");
                        desc44.putObject(idT, idLyr, desc45);
                        executeAction(idsetd, desc44, DialogModes.NO);
                        var idCpTL = charIDToTypeID("CpTL");
                        executeAction(idCpTL, undefined, DialogModes.NO);
                    }

                    function step3(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        var ref1 = new ActionReference();
                        ref1.putEnumerated(PSClass.Layer, PSType.Ordinal, PSEnum.Target);
                        desc1.putReference(PSString.Null, ref1);
                        var desc2 = new ActionDescriptor();
                        desc2.putString(PSKey.Name, "Base Retouch");
                        desc1.putObject(PSKey.To, PSClass.Layer, desc2);
                        executeAction(PSEvent.Set, desc1, dialogMode);
                        var idCpTL = charIDToTypeID("CpTL");
                        executeAction(idCpTL, undefined, DialogModes.NO);
                        var idsetd = charIDToTypeID("setd");
                        var desc1282 = new ActionDescriptor();
                        var idnull = charIDToTypeID("null");
                        var ref708 = new ActionReference();
                        var idLyr = charIDToTypeID("Lyr ");
                        var idOrdn = charIDToTypeID("Ordn");
                        var idTrgt = charIDToTypeID("Trgt");
                        ref708.putEnumerated(idLyr, idOrdn, idTrgt);
                        desc1282.putReference(idnull, ref708);
                        var idT = charIDToTypeID("T   ");
                        var desc1283 = new ActionDescriptor();
                        var idNm = charIDToTypeID("Nm  ");
                        desc1283.putString(idNm, "Skin Contrast");
                        var idLyr = charIDToTypeID("Lyr ");
                        desc1282.putObject(idT, idLyr, desc1283);
                        executeAction(idsetd, desc1282, DialogModes.NO);
                        var idHd = charIDToTypeID("Hd  ");
                        var desc1284 = new ActionDescriptor();
                        var idnull = charIDToTypeID("null");
                        var list441 = new ActionList();
                        var ref709 = new ActionReference();
                        var idLyr = charIDToTypeID("Lyr ");
                        var idOrdn = charIDToTypeID("Ordn");
                        var idTrgt = charIDToTypeID("Trgt");
                        ref709.putEnumerated(idLyr, idOrdn, idTrgt);
                        list441.putReference(ref709);
                        desc1284.putList(idnull, list441);
                        executeAction(idHd, desc1284, DialogModes.NO);
                        var idslct = charIDToTypeID("slct");
                        var desc1285 = new ActionDescriptor();
                        var idnull = charIDToTypeID("null");
                        var ref710 = new ActionReference();
                        var idLyr = charIDToTypeID("Lyr ");
                        ref710.putName(idLyr, "Base Retouch");
                        desc1285.putReference(idnull, ref710);
                        var idMkVs = charIDToTypeID("MkVs");
                        desc1285.putBoolean(idMkVs, false);
                        var idLyrI = charIDToTypeID("LyrI");
                        var list442 = new ActionList();
                        list442.putInteger(4);
                        desc1285.putList(idLyrI, list442);
                        executeAction(idslct, desc1285, DialogModes.NO);
                    }

                    function step4(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        var ref1 = new ActionReference();
                        ref1.putEnumerated(PSClass.Layer, PSType.Ordinal, PSEnum.Target);
                        desc1.putReference(PSString.Null, ref1);
                        var desc2 = new ActionDescriptor();
                        desc2.putEnumerated(PSKey.Mode, PSType.BlendMode, PSString.linearLight);
                        desc1.putObject(PSKey.To, PSClass.Layer, desc2);
                        executeAction(PSEvent.Set, desc1, dialogMode);
                    }

                    function step5(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                    }

                    function step6(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        executeAction(PSEvent.Invert, undefined, dialogMode);
                    }

                    function step7(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        executeAction(sTID("newPlacedLayer"), undefined, dialogMode);
                    }

                    function step8(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        desc1.putUnitDouble(PSKey.Radius, PSUnit.Pixels, 4);
                        executeAction(sTID("gaussianBlur"), desc1, dialogMode);
                    }

                    function step9(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        var ref1 = new ActionReference();
                        ref1.putEnumerated(PSClass.Channel, PSClass.Channel, PSString.filterMask);
                        desc1.putReference(PSString.Null, ref1);
                        desc1.putBoolean(PSKey.MakeVisible, false);
                        executeAction(PSEvent.Select, desc1, dialogMode);
                    }

                    function step10(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        var ref1 = new ActionReference();
                        ref1.putEnumerated(PSClass.Channel, PSType.Ordinal, PSEnum.Target);
                        desc1.putReference(PSString.Null, ref1);
                        executeAction(PSEvent.Delete, desc1, dialogMode);
                    }

                    function step11(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        desc1.putUnitDouble(PSKey.Radius, PSUnit.Pixels, 12);
                        executeAction(sTID("highPass"), desc1, dialogMode);
                    }

                    function step12(enabled, withDialog) {
                        if (enabled != undefined && !enabled) {
                            return;
                        }
                        var dialogMode = withDialog ? DialogModes.ALL : DialogModes.NO;
                        var desc1 = new ActionDescriptor();
                        desc1.putClass(PSKey.New, PSClass.Channel);
                        var ref1 = new ActionReference();
                        ref1.putEnumerated(PSClass.Channel, PSClass.Channel, PSClass.Mask);
                        desc1.putReference(PSKey.At, ref1);
                        desc1.putEnumerated(PSKey.Using, PSType.UserMaskOptions, PSEnum.HideAll);
                        executeAction(PSEvent.Make, desc1, dialogMode);
                    }
                    step1();
                    step2();
                    step3();
                    step4();
                    step5();
                    step6();
                    step7();
                    step8();
                    step9();
                    step10();
                    step11();
                    step12();
                }
                cTID = function(s) {
                    return app.charIDToTypeID(s);
                };
                sTID = function(s) {
                    return app.stringIDToTypeID(s);
                };
                FRM3.loadSymbols = function() {
                    var dbgLevel = $.level;
                    $.level = 0;
                    try {
                        PSConstants;
                        return;
                    } catch (e) {

                    } finally {
                        $.level = dbgLevel;
                    }
                    var needDefs = true;
                    $.level = 0;
                    try {
                        PSClass;
                        needDefs = false;
                    } catch (e) {

                    } finally {
                        $.level = dbgLevel;
                    }
                    if (needDefs) {
                        PSClass = function() {

                        };
                        PSEnum = function() {

                        };
                        PSEvent = function() {

                        };
                        PSForm = function() {

                        };
                        PSKey = function() {

                        };
                        PSType = function() {

                        };
                        PSUnit = function() {

                        };
                        PSString = function() {

                        };
                    }
                    PSClass.Channel = cTID("Chnl");
                    PSClass.Layer = cTID("Lyr ");
                    PSClass.Mask = cTID("Msk ");
                    PSEnum.HideAll = cTID("HdAl");
                    PSEnum.Target = cTID("Trgt");
                    PSEvent.Delete = cTID("Dlt ");
                    PSEvent.Desaturate = cTID("Dstt");
                    PSEvent.Invert = cTID("Invr");
                    PSEvent.Make = cTID("Mk  ");
                    PSEvent.Select = cTID("slct");
                    PSEvent.Set = cTID("setd");
                    PSKey.At = cTID("At  ");
                    PSKey.Duplicate = cTID("Dplc");
                    PSKey.LayerID = cTID("LyrI");
                    PSKey.MakeVisible = cTID("MkVs");
                    PSKey.Mode = cTID("Md  ");
                    PSKey.Name = cTID("Nm  ");
                    PSKey.New = cTID("Nw  ");
                    PSKey.Radius = cTID("Rds ");
                    PSKey.To = cTID("T   ");
                    PSKey.Using = cTID("Usng");
                    PSString.Null = sTID("null");
                    PSString.filterMask = sTID("filterMask");
                    PSString.linearLight = sTID("linearLight");
                    PSType.BlendMode = cTID("BlnM");
                    PSType.Ordinal = cTID("Ordn");
                    PSType.UserMaskOptions = cTID("UsrM");
                    PSUnit.Pixels = cTID("#Pxl");
                };
                FRM3.loadSymbols();
                FRM3.main = function() {
                    FRM3();
                };
                FRM3.main();
                var idDlt = charIDToTypeID("Dlt ");
                var desc1311 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref720 = new ActionReference();
                var idChnl = charIDToTypeID("Chnl");
                var idOrdn = charIDToTypeID("Ordn");
                var idTrgt = charIDToTypeID("Trgt");
                ref720.putEnumerated(idChnl, idOrdn, idTrgt);
                desc1311.putReference(idnull, ref720);
                executeAction(idDlt, desc1311, DialogModes.NO);
                var idslct = charIDToTypeID("slct");
                var desc1312 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref721 = new ActionReference();
                var idLyr = charIDToTypeID("Lyr ");
                ref721.putName(idLyr, "Skin Contrast");
                desc1312.putReference(idnull, ref721);
                var idMkVs = charIDToTypeID("MkVs");
                desc1312.putBoolean(idMkVs, false);
                var idLyrI = charIDToTypeID("LyrI");
                var list448 = new ActionList();
                list448.putInteger(46);
                desc1312.putList(idLyrI, list448);
                executeAction(idslct, desc1312, DialogModes.NO);
                var idShw = charIDToTypeID("Shw ");
                var desc1313 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var list449 = new ActionList();
                var ref722 = new ActionReference();
                var idLyr = charIDToTypeID("Lyr ");
                var idOrdn = charIDToTypeID("Ordn");
                var idTrgt = charIDToTypeID("Trgt");
                ref722.putEnumerated(idLyr, idOrdn, idTrgt);
                list449.putReference(ref722);
                desc1313.putList(idnull, list449);
                executeAction(idShw, desc1313, DialogModes.NO);
                var idDstt = charIDToTypeID("Dstt");
                executeAction(idDstt, undefined, DialogModes.NO);
                var idslct = charIDToTypeID("slct");
                var desc1314 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref723 = new ActionReference();
                var idLyr = charIDToTypeID("Lyr ");
                var idOrdn = charIDToTypeID("Ordn");
                var idTrgt = charIDToTypeID("Trgt");
                ref723.putEnumerated(idLyr, idOrdn, idTrgt);
                desc1314.putReference(idnull, ref723);
                var idMkVs = charIDToTypeID("MkVs");
                desc1314.putBoolean(idMkVs, false);
                executeAction(idslct, desc1314, DialogModes.NO);
                var idnewPlacedLayer = stringIDToTypeID("newPlacedLayer");
                executeAction(idnewPlacedLayer, undefined, DialogModes.NO);
                var idsetd = charIDToTypeID("setd");
                var desc1316 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref725 = new ActionReference();
                var idLyr = charIDToTypeID("Lyr ");
                var idOrdn = charIDToTypeID("Ordn");
                var idTrgt = charIDToTypeID("Trgt");
                ref725.putEnumerated(idLyr, idOrdn, idTrgt);
                desc1316.putReference(idnull, ref725);
                var idT = charIDToTypeID("T   ");
                var desc1317 = new ActionDescriptor();
                var idMd = charIDToTypeID("Md  ");
                var idBlnM = charIDToTypeID("BlnM");
                var idSftL = charIDToTypeID("SftL");
                desc1317.putEnumerated(idMd, idBlnM, idSftL);
                var idLyr = charIDToTypeID("Lyr ");
                desc1316.putObject(idT, idLyr, desc1317);
                executeAction(idsetd, desc1316, DialogModes.NO);
                var idHghP = charIDToTypeID("HghP");
                var desc1320 = new ActionDescriptor();
                var idRds = charIDToTypeID("Rds ");
                var idPxl = charIDToTypeID("#Pxl");
                desc1320.putUnitDouble(idRds, idPxl, 120);
                executeAction(idHghP, desc1320, DialogModes.NO);
                var idslct = charIDToTypeID("slct");
                var desc1321 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref726 = new ActionReference();
                var idChnl = charIDToTypeID("Chnl");
                var idChnl = charIDToTypeID("Chnl");
                var idfilterMask = stringIDToTypeID("filterMask");
                ref726.putEnumerated(idChnl, idChnl, idfilterMask);
                desc1321.putReference(idnull, ref726);
                var idMkVs = charIDToTypeID("MkVs");
                desc1321.putBoolean(idMkVs, false);
                executeAction(idslct, desc1321, DialogModes.NO);
                var idDlt = charIDToTypeID("Dlt ");
                var desc1322 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref727 = new ActionReference();
                var idChnl = charIDToTypeID("Chnl");
                var idOrdn = charIDToTypeID("Ordn");
                var idTrgt = charIDToTypeID("Trgt");
                ref727.putEnumerated(idChnl, idOrdn, idTrgt);
                desc1322.putReference(idnull, ref727);
                executeAction(idDlt, desc1322, DialogModes.NO);
                var idsetd = charIDToTypeID("setd");
                var desc1323 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref728 = new ActionReference();
                var idLyr = charIDToTypeID("Lyr ");
                var idOrdn = charIDToTypeID("Ordn");
                var idTrgt = charIDToTypeID("Trgt");
                ref728.putEnumerated(idLyr, idOrdn, idTrgt);
                desc1323.putReference(idnull, ref728);
                var idT = charIDToTypeID("T   ");
                var desc1324 = new ActionDescriptor();
                var idOpct = charIDToTypeID("Opct");
                var idPrc = charIDToTypeID("#Prc");
                desc1324.putUnitDouble(idOpct, idPrc, 100);
                var idLyr = charIDToTypeID("Lyr ");
                desc1323.putObject(idT, idLyr, desc1324);
                executeAction(idsetd, desc1323, DialogModes.NO);
                var idslct = charIDToTypeID("slct");
                var desc1325 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref729 = new ActionReference();
                var idLyr = charIDToTypeID("Lyr ");
                ref729.putName(idLyr, "Base Retouch");
                desc1325.putReference(idnull, ref729);
                var idselectionModifier = stringIDToTypeID("selectionModifier");
                var idselectionModifierType = stringIDToTypeID("selectionModifierType");
                var idaddToSelectionContinuous = stringIDToTypeID("addToSelectionContinuous");
                desc1325.putEnumerated(idselectionModifier, idselectionModifierType, idaddToSelectionContinuous);
                var idMkVs = charIDToTypeID("MkVs");
                desc1325.putBoolean(idMkVs, false);
                var idLyrI = charIDToTypeID("LyrI");
                var list450 = new ActionList();
                list450.putInteger(47);
                list450.putInteger(48);
                desc1325.putList(idLyrI, list450);
                executeAction(idslct, desc1325, DialogModes.NO);
                var idMk = charIDToTypeID("Mk  ");
                var desc1326 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref730 = new ActionReference();
                var idlayerSection = stringIDToTypeID("layerSection");
                ref730.putClass(idlayerSection);
                desc1326.putReference(idnull, ref730);
                var idFrom = charIDToTypeID("From");
                var ref731 = new ActionReference();
                var idLyr = charIDToTypeID("Lyr ");
                var idOrdn = charIDToTypeID("Ordn");
                var idTrgt = charIDToTypeID("Trgt");
                ref731.putEnumerated(idLyr, idOrdn, idTrgt);
                desc1326.putReference(idFrom, ref731);
                var idlayerSectionStart = stringIDToTypeID("layerSectionStart");
                desc1326.putInteger(idlayerSectionStart, 49);
                var idlayerSectionEnd = stringIDToTypeID("layerSectionEnd");
                desc1326.putInteger(idlayerSectionEnd, 50);
                var idNm = charIDToTypeID("Nm  ");
                desc1326.putString(idNm, "Group 1");
                executeAction(idMk, desc1326, DialogModes.NO);
                var idsetd = charIDToTypeID("setd");
                var desc1327 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref732 = new ActionReference();
                var idLyr = charIDToTypeID("Lyr ");
                var idOrdn = charIDToTypeID("Ordn");
                var idTrgt = charIDToTypeID("Trgt");
                ref732.putEnumerated(idLyr, idOrdn, idTrgt);
                desc1327.putReference(idnull, ref732);
                var idT = charIDToTypeID("T   ");
                var desc1328 = new ActionDescriptor();
                var idNm = charIDToTypeID("Nm  ");
                desc1328.putString(idNm, "FR3 | Not Finished");
                var idLyr = charIDToTypeID("Lyr ");
                desc1327.putObject(idT, idLyr, desc1328);
                executeAction(idsetd, desc1327, DialogModes.NO);
                var idMk = charIDToTypeID("Mk  ");
                var desc1329 = new ActionDescriptor();
                var idNw = charIDToTypeID("Nw  ");
                var idChnl = charIDToTypeID("Chnl");
                desc1329.putClass(idNw, idChnl);
                var idAt = charIDToTypeID("At  ");
                var ref733 = new ActionReference();
                var idChnl = charIDToTypeID("Chnl");
                var idChnl = charIDToTypeID("Chnl");
                var idMsk = charIDToTypeID("Msk ");
                ref733.putEnumerated(idChnl, idChnl, idMsk);
                desc1329.putReference(idAt, ref733);
                var idUsng = charIDToTypeID("Usng");
                var idUsrM = charIDToTypeID("UsrM");
                var idHdAl = charIDToTypeID("HdAl");
                desc1329.putEnumerated(idUsng, idUsrM, idHdAl);
                executeAction(idMk, desc1329, DialogModes.NO);
                var idslct = charIDToTypeID("slct");
                var desc1658 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref900 = new ActionReference();
                var idPbTl = charIDToTypeID("PbTl");
                ref900.putClass(idPbTl);
                desc1658.putReference(idnull, ref900);
                executeAction(idslct, desc1658, DialogModes.NO);
                var idsetd = charIDToTypeID("setd");
                var desc1661 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref901 = new ActionReference();
                var idClr = charIDToTypeID("Clr ");
                var idFrgC = charIDToTypeID("FrgC");
                ref901.putProperty(idClr, idFrgC);
                desc1661.putReference(idnull, ref901);
                var idT = charIDToTypeID("T   ");
                var desc1662 = new ActionDescriptor();
                var idH = charIDToTypeID("H   ");
                var idAng = charIDToTypeID("#Ang");
                desc1662.putUnitDouble(idH, idAng, 0);
                var idStrt = charIDToTypeID("Strt");
                desc1662.putDouble(idStrt, 0);
                var idBrgh = charIDToTypeID("Brgh");
                desc1662.putDouble(idBrgh, 100);
                var idHSBC = charIDToTypeID("HSBC");
                desc1661.putObject(idT, idHSBC, desc1662);
                var idSrce = charIDToTypeID("Srce");
                desc1661.putString(idSrce, "photoshopPicker");
                executeAction(idsetd, desc1661, DialogModes.NO);
                var idsetd = charIDToTypeID("setd");
                var desc1665 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref902 = new ActionReference();
                var idClr = charIDToTypeID("Clr ");
                var idBckC = charIDToTypeID("BckC");
                ref902.putProperty(idClr, idBckC);
                desc1665.putReference(idnull, ref902);
                var idT = charIDToTypeID("T   ");
                var desc1666 = new ActionDescriptor();
                var idH = charIDToTypeID("H   ");
                var idAng = charIDToTypeID("#Ang");
                desc1666.putUnitDouble(idH, idAng, 0);
                var idStrt = charIDToTypeID("Strt");
                desc1666.putDouble(idStrt, 0);
                var idBrgh = charIDToTypeID("Brgh");
                desc1666.putDouble(idBrgh, 0);
                var idHSBC = charIDToTypeID("HSBC");
                desc1665.putObject(idT, idHSBC, desc1666);
                var idSrce = charIDToTypeID("Srce");
                desc1665.putString(idSrce, "photoshopPicker");
                executeAction(idsetd, desc1665, DialogModes.NO);
                var idsetd = charIDToTypeID("setd");
                var desc1646 = new ActionDescriptor();
                var idnull = charIDToTypeID("null");
                var ref891 = new ActionReference();
                var idLyr = charIDToTypeID("Lyr ");
                var idOrdn = charIDToTypeID("Ordn");
                var idTrgt = charIDToTypeID("Trgt");
                ref891.putEnumerated(idLyr, idOrdn, idTrgt);
                desc1646.putReference(idnull, ref891);
                var idT = charIDToTypeID("T   ");
                var desc1647 = new ActionDescriptor();
                var idOpct = charIDToTypeID("Opct");
                var idPrc = charIDToTypeID("#Prc");
                desc1647.putUnitDouble(idOpct, idPrc, 70);
                var idLyr = charIDToTypeID("Lyr ");
                desc1646.putObject(idT, idLyr, desc1647);
                executeAction(idsetd, desc1646, DialogModes.NO);
            }
        }
    }
}